#!/usr/bin/python3

import subprocess


lat_average = -30.38259697
lon_average = 131.8370424

####
#ido_keido = "125/139/-35/-26"
#map_type  = "wide"
#R_grdimage_region = "110/168/-54/-22"  # "110/168/-56/-22"

map_type  = "narrow"
#R_grdimage_region = "124/140/25/36" #"125/139/26/35"


if map_type == "wide":
    south_wide = lat_average - (54-22)/2
    north_wide = lat_average + (54-22)/2
    west_wide = lon_average - (168-110)/2
    east_wide = lon_average + (168-110)/2
else:
    south_wide = lat_average - (36-25)/2
    north_wide = lat_average + (36-25)/2
    west_wide = lon_average - (140-124)/2
    east_wide = lon_average + (140-124)/2

R_grdimage_region = str(west_wide) + "/" + str(east_wide) + "/" + str(south_wide) + "/" + str(north_wide)  # "110/168/-56/-22"
#print("R_grdimage_region", R_grdimage_region)
#exit()

############################

line_mkdir = "mkdir outfiles_py"
#print("line_mkdir", line_mkdir, "<br>")
subprocess.call(line_mkdir, shell=True)


#gmt makecpt -Chaxby -T-6000/0/10 -Z > outfiles_py/050_haxby_area.cpt
line_makecpt = "gmt makecpt -Chaxby -T-6000/0/10 -Z > outfiles_py/050_haxby_area.cpt"
#print("line_makecpt", line_makecpt, "<br>")
subprocess.call(line_makecpt, shell=True)

#gmt grdimage ~/ETOPO1_Ice_g_gmt4.grd -R125/139/26/35 -JM24c  -Coutfiles/050_haxby_area.cpt -X1c -Y1c -K >> outfiles_py/150map.ps
#gmt grdimage ~/ETOPO1_Ice_g_gmt4.grd -R125/139/-35/-26 -JM24c  -Coutfiles/050_haxby_area.cpt -X1c -Y1c -K >> outfiles_py/150map.ps
#line_grdimage = "gmt grdimage ~/ETOPO1_Ice_g_gmt4.grd -R125/139/26/35 -JM24c  -Coutfiles_py/050_haxby_area.cpt -X1c -Y1c -K >> outfiles_py/150map.ps"
line_grdimage = "gmt grdimage ~/ETOPO1_Ice_g_gmt4.grd -R" + R_grdimage_region + " -JM24c  -Coutfiles_py/050_haxby_area.cpt -X1c -Y1c -K >> outfiles_py/150map.ps"
#print("line_grdimage", line_grdimage, "<br>")
subprocess.call(line_grdimage, shell=True)

#gmt grdcontour ~/ETOPO1_Ice_g_gmt4.grd -R125/139/26/35 -JM24c -C500 -A500 -L-6000/-0 -W0.1 -K -O -V >> outfiles_py/150map.ps
#gmt grdcontour ~/ETOPO1_Ice_g_gmt4.grd -R125/139/-35/-26 -JM24c -C500 -A500 -L-6000/-0 -W0.1 -K -O -V >> outfiles_py/150map.ps
#line_grdcontour = "gmt grdcontour ~/ETOPO1_Ice_g_gmt4.grd -R125/139/26/35 -JM24c -C500 -A500 -L-6000/-0 -W0.1 -K -O -V >> outfiles_py/150map.ps"
line_grdcontour = "gmt grdcontour ~/ETOPO1_Ice_g_gmt4.grd -R" + R_grdimage_region + " -JM24c -C500 -A500 -L-6000/-0 -W0.1 -K -O -V >> outfiles_py/150map.ps"
#print("line_grdcontour", line_grdcontour, "<br>")
subprocess.call(line_grdcontour, shell=True)

#gmt pscoast -R125/139/26/35 -JM24c -Di -Ggray -W0.1,black -K -O -V >> outfiles_py/150map.ps
#gmt pscoast -R125/139/-35/-26  -JM24c -Di -Ggray -W0.1,black -K -O -V >> outfiles_py/150map.ps
#line_pscoast = "gmt pscoast -R125/139/26/35 -JM24c -Di -Ggray -W0.1,black -K -O -V >> outfiles_py/150map.ps"
line_pscoast = "gmt pscoast -R" + R_grdimage_region + " -JM24c -Di -Ggray -W0.1,black -K -O -V >> outfiles_py/150map.ps"
#print("line_pscoast", line_pscoast, "<br>")
subprocess.call(line_pscoast, shell=True)

#gmt psscale -D24.5/5/10/0.5 -Coutfiles/050_haxby_area.cpt -Bf1000a2000 -K -O -V >> outfiles_py/150map.ps
line_psscale = "gmt psscale -D24.5/5/10/0.5 -Coutfiles/050_haxby_area.cpt -Bf1000a2000 -K -O -V >> outfiles_py/150map.ps"
#print("line_psscale", line_psscale, "<br>")
subprocess.call(line_psscale, shell=True)

#gmt psbasemap -R125/139/26/35 -JM24c -Ba1f1g1 -BWSne+tKuroshio-region -K -O -V >> outfiles_py/150map.ps
#gmt psbasemap -R125/139/-35/-26 -JM24c -Ba1f1g1 -BWSne+tKuroshio-region -K -O -V >> outfiles_py/150map.ps
#line_psbasemap = "gmt psbasemap -R125/139/26/35 -JM24c -Ba1f1g1 -BWSne+tKuroshio-region -K -O -V >> outfiles_py/150map.ps"
line_psbasemap = "gmt psbasemap -R" + R_grdimage_region + " -JM24c -Ba1f1g1 -BWSne+tLarge-type -K -O -V >> outfiles_py/150map.ps"
#print("line_psbasemap", line_psbasemap, "<br>")
subprocess.call(line_psbasemap, shell=True)

#psxy 1
#gmt psxy 150_cruseAll_lat_lon.txt -R -JM -Sc0.40 -W1 -Gwhite -K -O -V >> outfiles_py/150map.ps
line_psxy = "gmt psxy 150_cruseAll_lat_lon.txt -R -JM -Sc0.40 -W1 -Gwhite -K -O -V >> outfiles_py/150map.ps"
print("line_psxy", line_psxy, "<br>")
subprocess.call(line_psxy, shell=True)

#gmt pstext 150_cruseAll_lat_lon.txt -R125/139/26/35 -JM24c -F+f12p,Helvetica,-=0.5p,black+jBL -K -O -V >> outfiles_py/150map.ps
#gmt pstext 150_cruseAll_lat_lon.txt -R125/139/-35/-26 -JM24c -F+f12p,Helvetica,-=0.5p,black+jBL -K -O -V >> outfiles_py/150map.ps
#line_pstext = "gmt pstext 150_cruseAll_lat_lon.txt -R125/139/26/35 -JM24c -F+f12p,Helvetica,-=0.5p,black+jBL -K -O -V >> outfiles_py/150map.ps"
line_pstext = "gmt pstext 150_cruseAll_lat_lon.txt -R" + R_grdimage_region + " -JM24c -F+f12p,Helvetica,-=0.5p,black+jBL -K -O -V >> outfiles_py/150map.ps"
#print("line_pstext", line_pstext, "<br>")
subprocess.call(line_pstext, shell=True)

#psxy 2
#gmt psxy 150_sampleID_lat_lon.txt -R -JM -Sc0.40 -W1 -Gred -O -V >> outfiles_py/150map.ps
line_psxy = "gmt psxy 150_sampleID_lat_lon.txt -R -JM -Sc0.40 -W1 -Gred -O -V >> outfiles_py/150map.ps"
#print("line_psxy", line_psxy, "<br>")
subprocess.call(line_psxy, shell=True)

#psconvert1
#gmt psconvert outfiles_py/150map.ps -P -Tg -E200 -V
line_psconvert = "gmt psconvert outfiles_py/150map.ps -P -Tg -E200 -V"
#print("line_psconvert", line_psconvert, "<br>")
subprocess.call(line_psconvert, shell=True)

#psconvert2
#gmt psconvert outfiles_py/150map.ps -P -Tf -E200
line_psconvert = "gmt psconvert outfiles_py/150map.ps -P -Tf -E200"
#print("line_psconvert", line_psconvert, "<br>")
subprocess.call(line_psconvert, shell=True)
